Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.45
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.asn1
Class ASN1StreamParser

    java.lang.Object
      org.bouncycastle.asn1.ASN1StreamParser

    public class ASN1StreamParser

extends java.lang.Object

Constructor Summary
`ASN1StreamParser(byte[] encoding)`
`ASN1StreamParser(java.io.InputStream in)`
`ASN1StreamParser(java.io.InputStream in, int limit)`

Method Summary
`DEREncodable` | `readObject()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ASN1StreamParser

    public ASN1StreamParser(java.io.InputStream in)

### ASN1StreamParser

    public ASN1StreamParser(java.io.InputStream in,
                            int limit)

### ASN1StreamParser

    public ASN1StreamParser(byte[] encoding)

Method Detail

### readObject

    public DEREncodable readObject()
                            throws java.io.IOException

  Throws:
    `java.io.IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.45
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD